<?php


namespace App\Http\Controllers;

use  App\User;
use App\Barang;
use App\RequestBarang;
use App\DataRequest;
use App\Http\Requests;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;



class CustomerController extends Controller
{


//----------------------------Pembelian Barang----------------------//
    
 	public function BeliBarang()
    {
    	$barangs = Barang::all();
        return view('adminlte::customer.BeliBarang.index', compact('barangs'));
    }

    public function create()
    {
        return view('adminlte::inventori.BeliBarang.create');
    }
   
    public function store(Request $request)
    {
        $this->validate($request, [
            'nama' => 'required',
            'jumlah' => 'required',
            'harga' => 'required',
            'deskripsi' => 'required',
            'kategori' => 'required',
            'gambar' => 'required',
        ]);

        $barangs = new Barang();
        $barangs->nama = $request['nama'];
        $barangs->jumlah = $request['jumlah'];
        $barangs->harga = $request['harga'];
        $barangs->deskripsi = $request['deskripsi'];
        $barangs->kategori = $request['kategori'];
        $barangs->gambar = $request['gambar'];
        $barangs->save();
        return redirect('BeliBarang');
    }

  	



//----------------------------Data Request----------------------//

  	public function RequestBarang()
    {
        $data_requests = DataRequest::all();
        return view('adminlte::customer.RequestBarang.index', compact('data_requests'));
    }


    public function createRequest($id)
    {
        $data_requests = DataRequest::where('id', $id)->first();
        return view('adminlte::customer.RequestBarang.createRequest')->with('data_requests', $data_requests);
    }

 


    public function saveRequest(Request $request)
    {
        $input = $request->all();
        RequestBarang::create($input);
//        $this->data['request_barang']=DB::table('request_barangs')->where('status','==',1)->get();
//        $transaksi = new Transaksi();
//        $transaksi->tempat = $request->tempat;
//        $transaksi->kerusakan = $request->kerusakan;
//        $transaksi->petugas = $request->petugas;
//        $transaksi->schedule = $request->schedule;
//        $transaksi->user_id = $request->user_id;
//        $transaksi->save();
//        return redirect('dataOrder',$this->data);
        return redirect('RequestBarang');
    }


//----------------------------Check Saldo----------------------------//
    public function CheckSaldo()
    {
        $users = User::all();
        return view('adminlte::customer.CheckSaldo.index');
    }
    




//----------------------------Histori Transaksi----------------------//
    public function HistoryTransaksi()
    {
        return view('adminlte::customer.HistoryTransaksi.index');
    }
}